| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions | Properties | Static Private Member Functions | Private Attributes | Static Private Attributes

# IG::Gr3d::TestVtkGraphicBase Class Reference

Tests of 3D graphics enabled by ActiViz (VTK wrapper library). More...

Collaboration diagram for IG::Gr3d::TestVtkGraphicBase:
[legend]

List of all members.

## Classes
class | CustomImplicitFunction
| An vtkImplicitFunction class that represents a custom function of 3 variables used for plotting contours. More...
## Static Public Member Functions
static void | Run ()
static void | Test1 ()
static void | Test2 ()
static void | ColorBar ()
static void | Legend ()
static void | ExampleParametricCurve (int numT)
| Example of plotting parametric curves in 3D space.
static void | ExampleStructuredGridVolumeContours ()
| Example that demonstrates generaton of contours on a 3D structured grid.
static void | ExampleCellsGridContours ()
| ExamExample of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. Default division numbers of the shown graph are taken.
static void | ExampleCellsGridContours (int sizex, int sizey, int numContours)
| Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata.
static void | ExampleCellsGridEfficient ()
| Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells). Default division numbers of the shown graph are taken.
static void | ExampleQuadCells ()
| Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).
static void | ExampleQuadCells (int sizex, int sizey)
| Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).
static void | ExampleStructuredGrid ()
| Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).
static void | ExampleAxisHendler ()
static void | ExampleStructuredGrid (int sizex, int sizey, int sizez)
| Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).
static ColorScale | CreateGreenRedYellow (double minValue, double maxValue)
## Properties
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int int | numContours`[set]`
## Static Private Member Functions
static double | f (double x, double y)
| Example function of 2 variables to generate a surface plot. In the future, ScalarFunction class will be used for this purpose.
static double | GetX (int i)
| Returns x coordinate corresponding to the specific index.
static double | GetY (int j)
| Returns y coordinate corresponding to the specific index.
static double | GetZ (int k)
| Returns z coordinate corresponding to the specific index.
static double | f3d (double x, double y, double z)
static void | ExampleCellsGridEfficient (int sizex, int sizey)
| Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells).
## Private Attributes
Examples Modelling Cxx Delaunay3D.cxx | root
| Example that demonstrates generaton of contours on a 3D structured grid.
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface. | http: </para> <para></para> </remarks> */ public static void ExampleStructuredGridVolumeContours(int sizex
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int | sizey
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int | sizez
## Static Private Attributes
static int | numi = 6
static int | numj = 6
static int | numk = 2
static double | minX = -1
static double | maxX = 1
static double | minY = -1
static double | maxY = 1
static double | minZ = -1
static double | maxZ = 1
static double | minValue = 0
static double | maxValue = 0
static StopWatch | timer = new StopWatch()
| StopWatch for measuring time.
static vtkMath | math
static vtkPoints | points
static vtkPolyData | profile
static vtkDelaunay2D | del
static vtkPolyDataMapper | mapMesh
static vtkActor | meshActor
static vtkExtractEdges | extract
static vtkTubeFilter | tubes
static vtkPolyDataMapper | mapEdges
static vtkActor | edgeActor
static vtkSphereSource | ball
static vtkGlyph3D | balls
static vtkPolyDataMapper | mapBalls
static vtkActor | ballActor
static vtkRenderer | ren1
static vtkRenderWindow | renWin
static vtkRenderWindowInteractor | iren

## Detailed Description

Tests of 3D graphics enabled by ActiViz (VTK wrapper library).

$A Tako78 Sep11; Igor Oct11;

## Member Function Documentation

static void IG::Gr3d::TestVtkGraphicBase::Run | ( |  | ) | `[inline, static]`

static void IG::Gr3d::TestVtkGraphicBase::Test1 | ( |  | ) | `[inline, static]`

static void IG::Gr3d::TestVtkGraphicBase::Test2 | ( |  | ) | `[inline, static]`

static void IG::Gr3d::TestVtkGraphicBase::ColorBar | ( |  | ) | `[inline, static]`

static void IG::Gr3d::TestVtkGraphicBase::Legend | ( |  | ) | `[inline, static]`

static double IG::Gr3d::TestVtkGraphicBase::f | ( | double | x,
|  | double | y
| ) |  | `[inline, static, private]`

Example function of 2 variables to generate a surface plot. In the future, ScalarFunction class will be used for this purpose.

static double IG::Gr3d::TestVtkGraphicBase::GetX | ( | int | i | ) | `[inline, static, private]`

Returns x coordinate corresponding to the specific index.

static double IG::Gr3d::TestVtkGraphicBase::GetY | ( | int | j | ) | `[inline, static, private]`

Returns y coordinate corresponding to the specific index.

static double IG::Gr3d::TestVtkGraphicBase::GetZ | ( | int | k | ) | `[inline, static, private]`

Returns z coordinate corresponding to the specific index.

static void IG::Gr3d::TestVtkGraphicBase::ExampleParametricCurve | ( | int | numT | ) | `[inline, static]`

Example of plotting parametric curves in 3D space.

Parameters:

  numT | Number fo divisions.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/PolyData/RibbonFilter

static double IG::Gr3d::TestVtkGraphicBase::f3d | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | `[inline, static, private]`

static void IG::Gr3d::TestVtkGraphicBase::ExampleStructuredGridVolumeContours | ( |  | ) | `[inline, static]`

Example that demonstrates generaton of contours on a 3D structured grid.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

static void IG::Gr3d::TestVtkGraphicBase::ExampleCellsGridContours | ( |  | ) | `[inline, static]`

ExamExample of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. Default division numbers of the shown graph are taken.

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

static void IG::Gr3d::TestVtkGraphicBase::ExampleCellsGridContours | ( | int | sizex,
|  | int | sizey,
|  | int | numContours
| ) |  | `[inline, static]`

Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata.

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  numContours | Number of contours to be plotted.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad - quadric cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/ColoredLines - for adding line cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/VisualizationAlgorithms/BandedPolyDataContourFilter - discrete consours

http://www.vtk.org/Wiki/VTK/Examples/Cxx/PolyData/PolyDataIsoLines - for contours

http://www.vtk.org/Wiki/VTK/Examples/Cxx/VisualizationAlgorithms/FilledContours - this is more complex, approach taken here is simpler.

http://www.vtk.org/Wiki/VTK/Examples/Cxx/Visualization/LabelContours - labeling contours

static void IG::Gr3d::TestVtkGraphicBase::ExampleCellsGridEfficient | ( |  | ) | `[inline, static]`

Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells). Default division numbers of the shown graph are taken.

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad - quadric cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

static void IG::Gr3d::TestVtkGraphicBase::ExampleCellsGridEfficient | ( | int | sizex,
|  | int | sizey
| ) |  | `[inline, static, private]`

Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells).

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/ColoredLines

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

static void IG::Gr3d::TestVtkGraphicBase::ExampleQuadCells | ( |  | ) | `[inline, static]`

Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad

static void IG::Gr3d::TestVtkGraphicBase::ExampleQuadCells | ( | int | sizex,
|  | int | sizey
| ) |  | `[inline, static]`

Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad

static void IG::Gr3d::TestVtkGraphicBase::ExampleStructuredGrid | ( |  | ) | `[inline, static]`

Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

static void IG::Gr3d::TestVtkGraphicBase::ExampleAxisHendler | ( |  | ) | `[inline, static]`

static void IG::Gr3d::TestVtkGraphicBase::ExampleStructuredGrid | ( | int | sizex,
|  | int | sizey,
|  | int | sizez
| ) |  | `[inline, static]`

Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  sizez | Number of points in z direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

static ColorScale IG::Gr3d::TestVtkGraphicBase::CreateGreenRedYellow | ( | double | minValue,
|  | double | maxValue
| ) |  | `[inline, static]`

## Member Data Documentation

int IG::Gr3d::TestVtkGraphicBase::numi = 6`[static, private]`

int IG::Gr3d::TestVtkGraphicBase::numj = 6`[static, private]`

int IG::Gr3d::TestVtkGraphicBase::numk = 2`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::minX = -1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::maxX = 1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::minY = -1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::maxY = 1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::minZ = -1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::maxZ = 1`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::minValue = 0`[static, private]`

double IG::Gr3d::TestVtkGraphicBase::maxValue = 0`[static, private]`

StopWatch IG::Gr3d::TestVtkGraphicBase::timer = new StopWatch()`[static, private]`

StopWatch for measuring time.

Examples Modelling Cxx Delaunay3D.cxx IG::Gr3d::TestVtkGraphicBase::root`[private]`

Initial value:

    VTK&content-type=text/plain
                http:
                http:
                - this is used to convert structured grid or any other form containing points to a 3d mesh of tetrahetrons. </para>
                <para>See vtkContourGrid
                http:
                  - Python example - triangulate and generate contour.
                http:
                <para></para>
                <para>See vtkBandedPolyDataContourFilter
                http:
                generate inner contur surfaces

Example that demonstrates generaton of contours on a 3D structured grid.

Parameters:

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  sizez | Number of points in z direction.

See also:

http://www.vtk.org/VTK/help/examplecode.html - generating contours of implicit function of 3 variables, probably useful only when you actually have an implicit function. http://www.vtk.org/Wiki/VTK/Examples/Cxx/ImplicitFunctions/SampleFunction - sample implicit function, 1 contour

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

See Delaunay3D triangularization. http://public.kitware.com/cgi-bin/viewcvs.cgi/*checkout

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface. IG::Gr3d::TestVtkGraphicBase::http`[private]`

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int IG::Gr3d::TestVtkGraphicBase::sizey`[private]`

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int IG::Gr3d::TestVtkGraphicBase::sizez`[private]`

vtkMath IG::Gr3d::TestVtkGraphicBase::math`[static, private]`

vtkPoints IG::Gr3d::TestVtkGraphicBase::points`[static, private]`

vtkPolyData IG::Gr3d::TestVtkGraphicBase::profile`[static, private]`

vtkDelaunay2D IG::Gr3d::TestVtkGraphicBase::del`[static, private]`

vtkPolyDataMapper IG::Gr3d::TestVtkGraphicBase::mapMesh`[static, private]`

vtkActor IG::Gr3d::TestVtkGraphicBase::meshActor`[static, private]`

vtkExtractEdges IG::Gr3d::TestVtkGraphicBase::extract`[static, private]`

vtkTubeFilter IG::Gr3d::TestVtkGraphicBase::tubes`[static, private]`

vtkPolyDataMapper IG::Gr3d::TestVtkGraphicBase::mapEdges`[static, private]`

vtkActor IG::Gr3d::TestVtkGraphicBase::edgeActor`[static, private]`

vtkSphereSource IG::Gr3d::TestVtkGraphicBase::ball`[static, private]`

vtkGlyph3D IG::Gr3d::TestVtkGraphicBase::balls`[static, private]`

vtkPolyDataMapper IG::Gr3d::TestVtkGraphicBase::mapBalls`[static, private]`

vtkActor IG::Gr3d::TestVtkGraphicBase::ballActor`[static, private]`

vtkRenderer IG::Gr3d::TestVtkGraphicBase::ren1`[static, private]`

vtkRenderWindow IG::Gr3d::TestVtkGraphicBase::renWin`[static, private]`

vtkRenderWindowInteractor IG::Gr3d::TestVtkGraphicBase::iren`[static, private]`

## Property Documentation

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int int IG::Gr3d::TestVtkGraphicBase::numContours`[set, private]`

The documentation for this class was generated from the following file:

- TestVtkGraphic.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events